=== debian/changelog ===
simgrid (3.11.1-10ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:40:48 +0100

simgrid (3.11.1-10) unstable; urgency=medium

  * Set HTML_TIMESTAMP to NO and gzip -n to make package reproducible.
    Patch by akira <marivalenm@gmail.com>, many thanks (Closes: #789715).

 -- Martin Quinson <mquinson@debian.org>  Mon, 29 Jun 2015 22:57:58 +0200

simgrid (3.11.1-9) unstable; urgency=medium

  * add some dependencies to really fix #755047:
    - libsimgrid-dev breaks libsimgrid3.10 and libsimgrid3.11 (<<3.11.1-8)
    - libsimgrid3.11 breaks+replaces libsimgrid3.10
    - This should hint apt about how to solve my mess :-(

 -- Martin Quinson <mquinson@debian.org>  Sat, 13 Dec 2014 22:15:36 +0100

simgrid (3.11.1-8) unstable; urgency=medium

  * d/c: update VCS to not use any deprecated URLs
  * d/c: improve short descriptions
  * d/c: libsimgrid-java suggests java-virtual-machine, captain obvious.
  * Install tesh and graphicator tools as part of the libsimgrid-dev,
    not as part of libsimgrid3.11 to allow the co-installation of
    several library versions (Closes: #755047).
  * d/p/fix-bashism.diff: fix a bashism that mainly appears on Mac OSX
    (Closes: #772329).

 -- Martin Quinson <mquinson@debian.org>  Tue, 09 Dec 2014 01:47:57 +0100

simgrid (3.11.1-7) unstable; urgency=medium

  * Disable LTO on all non-AMD architectures to circumvent a seemingly
    bug in gcc 4.9.
  * Re-enable parallel builds now that LTO issues are (hopefully) fixed.

 -- Martin Quinson <mquinson@debian.org>  Sat, 05 Jul 2014 00:20:25 +0200

simgrid (3.11.1-6) unstable; urgency=medium

  * gcc-ar does not seem to work with LTO on non-amd architectures, so
    kill our static lib and switch back to regular ar, just to see.

 -- Martin Quinson <mquinson@debian.org>  Sun, 29 Jun 2014 23:32:26 +0200

simgrid (3.11.1-5) unstable; urgency=medium

  * d/p/fix-java-multiple-definitions.diff: fix java files being
    declared twice on cmd line: this makes some architectures to fail.
    (patch taken upstream).

 -- Martin Quinson <mquinson@debian.org>  Fri, 27 Jun 2014 11:46:05 +0200

simgrid (3.11.1-4) unstable; urgency=medium

  * d/p/make_doc: diable the generation of pdf documentation as it
    does not add much over the html documentation, but breaks on hurd.
  * Disable again the parallel build to see if it helps gcc to have LTO.

 -- Martin Quinson <mquinson@debian.org>  Thu, 26 Jun 2014 12:04:25 +0200

simgrid (3.11.1-3) unstable; urgency=medium

  * Disable LTO on kfreebsd and sparc, gcc keeps failing because of this.

 -- Martin Quinson <mquinson@debian.org>  Sun, 22 Jun 2014 21:51:55 +0200

simgrid (3.11.1-2) unstable; urgency=medium

  * Drop build-dep on libpcre3-dev, long time no use.
  * Build-depend on texlive-font-utils to have epstopdf.
  * d/p/fix-swig-constness.diff: fix constness issues on kfreebsd and sparc.
    (patch taken upstream)
  * d/p/fix-with-gcc-4.9.diff: use gcc-ar and gcc-ranlib instead of ar
    and ranlib for gcc >=4.9 (patch taken upstream)

 -- Martin Quinson <mquinson@debian.org>  Wed, 18 Jun 2014 20:49:36 +0200

simgrid (3.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Surf is now in C++ (and documented!)
    - Virtual Machine model for Cloud Simulation
    - Surf callbacks: plug your code directly in Surf!
    - Simcalls are script-generated to clean the mess
  * Reactivate parallel builds, that were fixed upstream

 -- Martin Quinson <mquinson@debian.org>  Thu, 05 Jun 2014 04:32:45 +0200

simgrid (3.10-8) unstable; urgency=medium

  * Get libsimgrid-dev depend on libf2c2-dev as smpif.h includes f2c.h
    (Closes: #747171)

 -- Martin Quinson <mquinson@debian.org>  Wed, 07 May 2014 00:13:42 +0200
