=== debian/control ===
Source: simgrid
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake,
 f2c, chrpath, doxygen,
 valgrind [amd64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 s390x x32],
 default-jdk, gfortran, liblua5.1-dev, lua5.1,
 libboost-dev,
 transfig, ghostscript, texlive-font-utils
Standards-Version: 3.9.5
Homepage: http://simgrid.gforge.inria.fr/
Vcs-Git: git://anonscm.debian.org/collab-maint/simgrid.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/simgrid.git

Package: libsimgrid3.11v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsimgrid3.10
Replaces: libsimgrid3.11, libsimgrid3.10
Recommends: lua5.1
Conflicts: libsimgrid3.11, simgrid (<< 3.11)
Description: Toolkit for scalable simulation of distributed applications
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains the dynamic libraries and runtime.

Package: simgrid-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: simgrid (<< 3.11)
Description: Documentation for the SimGrid Toolkit
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains the documentation for both the C and the Java
 version of SimGrid.

Package: simgrid-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsimgrid3.11v5 (>= ${source:Version})
Recommends: simgrid-doc (>= ${source:Version})
Conflicts: simgrid (<< 3.11)
Suggests: java-virtual-machine
Description: Java bindings for the SimGrid Toolkit
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains all what you need to use SimGrid from the Java
 programming language. Note that the jarfile contained in this package
 will only work on the architecture it is compiled for (as opposed to
 the jarfile proposed on the project web page that should work on all
 architecture).

Package: libsimgrid-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, 
  libsimgrid3.11v5 (= ${binary:Version}),
  libf2c2-dev,
Recommends: f2c, gcc, make, simgrid-doc (>= ${source:Version})
Breaks: libsimgrid3.10, libsimgrid3.11v5 (<<3.11.1-8)
Conflicts: simgrid
Replaces: simgrid
Provides: simgrid
Description: Development files for the SimGrid Toolkit
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.
 .
 This package contains the development files that you need to build
 your own simulator on top of SimGrid (header files and helping scripts).
