=== debian/watch ===
version=3
http://gforge.inria.fr/frs/?group_id=12 .*/[sS]im[gG]rid-([0-9\.]*)\.tar\.gz
